# -*- mode: ruby -*-
# vi: set ft=ruby :

# All Vagrant configuration is done below. The "2" in Vagrant.configure
# configures the configuration version (we support older styles for
# backwards compatibility). Please don't change it unless you know what
# you're doing.
Vagrant.configure("2") do |config|
  config.vm.define "Ubuntu-Master" do |vm1|
    vm1.vm.hostname = "Ubuntu-Master"
    vm1.vm.box = "bento/ubuntu-16.04"
    vm1.vm.network "private_network", ip: "192.168.10.10"

    vm1.vm.provider "virtualbox" do |vb|
      vb.name ="Ubuntu-Master"
      vb.gui = false
      vb.memory = "1024"
    end

    vm1.vm.provision "shell", run: "always", inline: <<-SHELL
      echo "Hello from Ubuntu-Master"
    SHELL
  end

  config.vm.define "Ubuntu-Target" do |vm2|
    vm2.vm.hostname = "Ubuntu-Target"
    vm2.vm.box = "bento/ubuntu-16.04"
    vm2.vm.network "private_network", ip: "192.168.10.20"

    vm2.vm.provider "virtualbox" do |vb|
      vb.name ="Ubuntu-Target"
      vb.gui = false
      vb.memory = "1024"
    end

    vm2.vm.provision "shell", run: "always", inline: <<-SHELL
      echo "Hello from Ubuntu-Target"
    SHELL
  end

  config.vm.define "Centos-Target" do |vm3|
    vm3.vm.hostname = "Centos-Target"
    vm3.vm.box = "bento/centos-7.2"
    vm3.vm.network "private_network", ip: "192.168.10.30"

    vm3.vm.provider "virtualbox" do |vb|
      vb.name ="Centos-Target"
      vb.gui = false
      vb.memory = "1024"
    end

    vm3.vm.provision "shell", run: "always", inline: <<-SHELL
      echo "Hello from Centos-Target"
    SHELL
  end
end
